defmodule Tradex.Schema do
  @moduledoc false
  defmacro __using__(_opts) do
    quote do
      use Ecto.Schema

      import Ecto
      import Ecto.Query

      @primary_key {:id, UUIDv7, autogenerate: true}
      @foreign_key_type :binary_id
    end
  end
end
