defmodule Tradex.Repo.Migrations.AddAccountsTable do
  use Ecto.Migration

  def change do
    create table(:accounts, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :name, :string, null: false

      add :owner_id, references(:users, type: :binary_id), null: false
      timestamps(type: :utc_datetime)
    end

    create index(:accounts, [:owner_id])
  end
end
