defmodule Tradex.Repo.Migrations.CreateSecurities do
  use Ecto.Migration

  def change do
    create table(:securities, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :name, :string
      add :ticker, :string
      add :wkn, :string
      add :isin, :string
      add :expiration_date, :date
      add :strike_price, :decimal

      timestamps(type: :utc_datetime)
    end
  end
end
