defmodule Tradex.Instruments.HistoricalQuote do
  @moduledoc false
  use Tradex.Schema

  schema "historical_quotes" do
    field :date, :date
    field :open, :decimal
    field :high, :decimal
    field :low, :decimal
    field :close, :decimal
    field :adj_close, :decimal
    field :volume, :integer

    belongs_to :security, Tradex.Instruments.Security

    timestamps(type: :utc_datetime)
  end
end
